> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# View Content Types API Endpoint

> This API endpoint allows a user to view details of all existing content types.



## OpenAPI

````yaml get /api/content-types/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/content-types/:
    get:
      tags:
        - api
      summary: View Content Types API Endpoint
      description: >-
        This API endpoint allows a user to view details of all existing content
        types.
      operationId: view_content_types
      responses:
        '200':
          description: Successfully retrieved the content types
          content:
            application/json:
              schema:
                title: Content Type OpenAPI Schema
                type: array
                items:
                  title: Content Type
                  type: object
                  properties:
                    content_type_id:
                      type: integer
                    display_name:
                      type: string
                    model_id:
                      type: string
                    description:
                      type: string
                    preview_image:
                      type: string
                    preview_video:
                      type: string
                    active:
                      type: boolean
                  description: Content Type OpenAPI Schema
              example:
                - content_type_id: 1
                  display_name: Default Model (DM)
                  model_id: dm-1.0
                  description: Default model for video creation.
                  preview_image: ''
                  preview_video: ''
                  active: true
        '500':
          description: Failed to retrieve the content types
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````